function trickySubplot(coords, shrink)
% specify the bounding box of the plot, and this thing shrinks the
% normalized coords to make room for axes
coords(1:2) = coords(1:2)+coords(3:4).*(1-shrink)/2;
coords(3:4) = coords(3:4).*shrink;
subplot('position',coords);
